Developers

Retrieves the collection of Vacation resources PDF.

GET
/calendar/vacations/export-pdf

Retrieves the collection of Vacation resources PDF.

Authorization

apiKey
headerAuthorization<token>

Value for the Authorization header parameter.

Query Parameters

pagination?boolean

Enable or disable pagination

search?string
calendarUser?string
calendarUser[]?array<string>
vacationYear?integer
vacationYear[]?array<integer>
status?string
status[]?array<string>
vacationType?string
vacationType[]?array<string>
issueDate?string
issueDate[]?string
vacationType.isActive?boolean
vacationType.isActive[]?array<boolean>
calendarUser.canLogIn?boolean
vacationDates.date[before]?string
vacationDates.date[strictly_before]?string
vacationDates.date[after]?string
vacationDates.date[strictly_after]?string
order[vacationYear]?string
Default"asc"
Value in"asc""desc"
order[status]?string
Default"asc"
Value in"asc""desc"
order[vacationType.name]?string
Default"asc"
Value in"asc""desc"
order[issueDate]?string
Default"asc"
Value in"asc""desc"
order[createdAt]?string
Default"asc"
Value in"asc""desc"
order[updatedAt]?string
Default"asc"
Value in"asc""desc"
order[vacationDates.date]?string
Default"asc"
Value in"asc""desc"

Response Body

Vacation collection

  1. response
[index: integer]?
Example Request
curl -X GET 'https://app.icproject.com/api/instance/demo/calendar/vacations/export-pdf'
Example Response
[  {    "key": "string",    "downloadUrl": "string"  }]